/* Avoid editing this file, it is better to add styles to custom.css to ease migration between Ambience releases */

html {

  --surface0: rgb(from var(--top) r g b / 0%);
  --surface1: rgb(from var(--top) r g b / 4%);
  --surface2: rgb(from var(--top) r g b / 8%);
  --surface3: rgb(from var(--top) r g b / 10%);
  --surface4: rgb(from var(--top) r g b / 13%);
  --surface5: rgb(from var(--top) r g b / 20%);
  --surface6: rgb(from var(--top) r g b / 30%);

  --icon-pad-color: rgb(from var(--bottom) r g b / 50%);

  --text-bright: rgb(from var(--text-top) r g b / 90%);
  --text-normal: rgb(from var(--text-top) r g b / 80%);
  --text-dim: rgb(from var(--text-top) r g b / 60%);
  --text-disabled: rgb(from var(--text-top) r g b / 30%);

  --header-bg: var(--surface6);

  --button-bg: var(--surface3);
  --button-fg: var(--text-normal);

  --button-hover-bg: var(--surface4);
  --button-hover-fg: var(--text-bright);

  --button-sel-bg: var(--surface5);
  --button-sel-fg: var(--secondary);

  --button-disabled-bg: var(--surface1);
  --button-disabled-fg: var(--text-disabled);

  --panel-bg: var(--surface5);
  --panel-fg: var(--text-normal);

  --sel-block-bg: var(--surface5);
  --sel-block-fg: var(--secondary);

  --grid-box-title-bg: var(--surface5);
  --grid-box-title-fg: var(--text-normal);
  --dlg-titlebar-bg: var(--surface5);
  --dlg-titlebar-fg: var(--text-normal);
  --row-hover-bg: var(--surface3);
  --row-hover-fg: inherit;

  --surface-fg: var(--text-normal);
  --edge: rgb(from var(--top) r g b / 10%);
  --hard-edge: rgb(from var(--top) r g b / 20%);

  margin: 0px;
  padding: 0px;
  box-sizing: border-box;
  font-family: Arial, "Helvetica Neue", Helvetica, sans-serif;
  width: 100%;
  height: 100%;
  background-color: var(--surface-bg);
  color: var(--text-normal);
  overflow: hidden;
}

*, *:before, *:after {
  box-sizing: inherit;
}

.surface0 {
  background-color: var(--surface0);
}

.surface1 {
  background-color: var(--surface1);
}

.surface2 {
  background-color: var(--surface2);
}

.surface3 {
  background-color: var(--surface3);
}

.surface4 {
  background-color: var(--surface4);
}

.surface5 {
  background-color: var(--surface5);
}

.surface6 {
  background-color: var(--surface6);
}

.text-normal {
  background-color: var(--text-normal);
}

.text-bright {
  background-color: var(--text-bright);
}

.text-dim {
  background-color: var(--text-dim);
}

.text-disabled {
  background-color: var(--text-disabled);
}

body {
  margin: 0px;
  padding: 0px;
  width: 100%;
  height: 100%;
  overflow: hidden;
}

input {
  background-color: var(--surface2);
  border: 1px solid var(--surface4);
  padding: 0.2rem;
  border-radius: 0.2rem;
  color: var(--text-normal);
}

input[type='checkbox'] {
  accent-color: var(--button-sel-fg);
}

textarea {
  background-color: var(--surface2);
  border: 1px solid var(--surface4);
  padding: 0.2rem;
  border-radius: 0.2rem;
  color: var(--text-normal);
}

select {
  background-color: var(--surface2);
  border: 1px solid var(--surface4);
  padding: 0.2rem;
  border-radius: 0.2rem;
  color: var(--text-normal);
}

option {
  background-color: var(--surface-bg);
  color: var(--text-normal);
}

.full-page {
  width: 100%;
  height: 100%;
}

.hidden {
  display:none
}

.css-width-100 {
  width: 100%;
}

.css-text-align-start {
  text-align: start;
}

.css-text-align-end {
  text-align: end;
}

.css-text-align-center {
  text-align: center;
}

.css-flex-direction-row {
  flex-direction: row;
}

.css-flex-direction-row-reverse {
  flex-direction: row-reverse;
}

.raised-panel {
  border: 1px solid #AAA;
  filter: drop-shadow(5px 5px 5px #999);
}

html.dark-mode .raised-panel {
  border: 1px solid #111;
  filter: drop-shadow(5px 5px 5px #111);
}

.vpanel {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: stretch;
  overflow: hidden;
  height: 100%;
}

.hpanel {
  position: relative;
  display: flex;
  flex-direction: row;
  align-items: stretch;
  overflow: hidden;
  height: 100%;
}

.fixed-panel {
  flex: 0 0 auto;
}

.growable-panel {
  position: relative;
  flex: 1 0 0%;
}

.overlay-panel {
  position: absolute;
  z-index: 999;
}

.scrolling-panel {
  position: relative;
  flex: 1 0 0%;
  height: 100%;
  overflow: auto;
}

.dlg-form-body {
  margin: 0.5rem;
}

.manager-panel {

}

.manager-panel .tep-table-holder {
  margin: 0rem;
}

.prompt-button-bar {
  display: flex;
  align-items: center;
  justify-content: end;
  margin-top: 0.3rem;
  height: 2rem;
}

.prompt-button-bar .elx-button {
  margin-inline-start: 0.5rem;
}

.elx-button-bar {
  margin-top: 0.3rem;
  height: 2rem;
}

.elx-button-holder {
  margin-top: 0.5rem;
}

.elx-button-holder .elx-button {
  margin-inline-start: 0.5rem;
}

.property-label {
  padding-top: 0.3rem;
}

.property-value {
  min-height: 2rem;
  padding: 0.3rem;
  font-size: 100%;
}

.property-value input[type='text'] {
  width: 100%;
}

.property-value select {
  width: 100%;
}

/*-----------------checkbox chooser-----------------*/

.checkbox-chooser {
  display: flex;
  flex-direction: column;
}

.checkbox-chooser-content {
  flex: 1 1 auto;
  overflow-y: auto;
  overflow-x: hidden;
}

.checkbox-chooser-content label {
  display: block;
  padding: 0.3rem;
}

.checkbox-chooser-content input {
  margin-inline-end: 0.3rem;
}

.checkbox-chooser-filter {
  display: flex;
  padding: 0.3rem;
  flex: 0 0 auto;
}

.checkbox-chooser-filter .elx-icon {
  flex: 0 0 auto;
}

.checkbox-chooser-filter input {
  flex: 1 1 auto;
}

/*-----------------sidebar -------------------------*/

.elx-sidebar {
  overflow: hidden;
  display: flex;
  flex-direction: column;
  flex: 1 1 auto;
}

.elx-sidebar-vdom {
  overflow: auto;
  display: flex;
  flex-direction: column;
  flex: 1 1 auto;
}

.elx-sidebar-group {
  display: flex;
  flex-direction: column;
  overflow: hidden;
}

.elx-sidebar-group-header {
  flex: 0 0 auto;
  display: flex;
  align-items: center;
  height: 2rem;
  color: var(--button-fg);
}

.elx-sidebar-group-body {
  padding-inline-start: 1rem;
}

.elx-sidebar-item {
  flex: 0 0 auto;
  display: flex;
  align-items: center;
  height: 2rem;
  cursor: pointer;
  color: var(--button-fg);
}

.elx-sidebar-item:hover {
  color: var(--button-hover-fg);
}

.elx-sidebar-item.selected {
  background-color: var(--button-sel-bg);
  color: var(--button-sel-fg);
}

.elx-sidebar-icon {
  margin: 0rem 0.5rem;
  width: 1.2rem;
  text-align: center;
}

.elx-sidebar-label {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  padding-right: 0.5rem;
}

.elx-sidebar-vdom.collapsed .elx-sidebar-label {
  display: none;
}

.elx-sidebar-vdom.collapsed .elx-sidebar-group-header {
  display: none;
}

.elx-sidebar-vdom.collapsed .elx-sidebar-group-body {
  padding-inline-start: 0rem;
}

.checkbox-group-panel table {
  width: 100%;
}

.checkbox-group-panel label {
  display: flex;
  align-items: center;
}

/* -----------------------tool icon --------------------------------------------------- */
.tool-icon {
  flex: 0 0 auto;
  font-size: 200%;
  text-align: center;
  width: 4rem;
  height: 3rem;
  margin-inline-end: 0.3rem;
  padding: 0.3rem;
  border: 1px solid var(--edge);
  border-radius: 0.5rem;
}

/* -----------------------header panel ------------------------------------------------ */

.header-panel {
  background-color: var(--header-bg);
  border-bottom: var(--edge);
}

.nested-in-service-chooser #elx-tool-info {
  display: none;
}

.elx-maintenance-mode { 
  background-color: var(--important-bg);
  color: var(--important-fg);
  width: 3rem;
}

#header-start {
  flex: 1 0 0%;
  display: flex;
  align-items: center;
  justify-content: start;
  overflow: hidden;
}

#header-middle {
  flex: 0 0 auto;
  display: flex;
  align-items: center;
  justify-content: center;
}

#header-end {
  flex: 1 0 0%;
  display: flex;
  align-items: center;
  justify-content: end;
}

.suite-popup {
  background-color: var(--surface-bg);
  border: 1px solid var(--edge);
}

/*----------------- elx-large-icon -----------------------------*/

.elx-large-icon {
  --fa-secondary-opacity: 1.0;
  --fa-secondary-color: var(--icon-secondary-color);
  --fa-primary-opacity: 1.0;
  --fa-primary-color: var(--icon-primary-color);
  background-color: var(--icon-pad-color);
}

/* module information currently sets module-icon as the class - this can be removed when it is switched to elx-large-icon */
.module-icon {
  --fa-secondary-opacity: 1.0;
  --fa-secondary-color: var(--icon-secondary-color);
  --fa-primary-opacity: 1.0;
  --fa-primary-color: var(--icon-primary-color);
  background-color: var(--icon-pad-color);
}

/*------------------ paginator ---------------------------------*/

.paginator {
  height: 2rem;
  overflow: hidden;
}
.paginator-info {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  font-size: 80%;
  padding: 0.5rem;
}
.paginator-buttons {
  float: inline-end;
}
.paginator-buttons .elx-button {
  display: inline-block;
  text-align: center;
  margin: 0rem 0.2rem;
  min-width: 1.2rem;
}

/*----------------- elx-button ---------------------------------*/

.elx-button {
  cursor: pointer;
  padding: 0.3rem;
  background-color: var(--button-bg);
  color: var(--button-fg);
}

.elx-button:hover {
  background-color: var(--button-hover-bg);
  color: var(--button-hover-fg);
}

.elx-button.selected {
  background-color: var(--button-sel-bg);
  color: var(--button-sel-fg);
}

.elx-button.disabled {
  background-color: var(--button-disabled-bg);
  color: var(--button-disabled-fg);
  cursor: default;
}

.elx-button.in-progress {
  background-color: var(--button-disabled-bg);
  color: var(--button-disabled-fg);
  cursor: default;
}


.elx-button.right {
  float: inline-end;
  margin-inline-start: 0.5rem;
}

.elx-button.mobile-responsive .elx-button-text {
  display: inline-block;
}

.elx-button.mobile-responsive .elx-button-icon {
  display: none;
}

.elx-button-spinner {
  position: absolute;
  display: flex;
  align-items: center;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  text-align: center;
  justify-content: center;
  background-color: var(--surface1);
  pointer-events: none;
}

.elx-button-spinner .fa-spin {
  --fa-secondary-color: var(--header-bg);
  --fa-secondary-opacity: 1.0
}

/*----------------------------- utils --------------------------------*/

.clickable {
  cursor: pointer;
}

.spacer {
  flex: 1 1 auto;
}

select.invalid-input {
  color: red;
}

select.invalid-input option {
  color: var(--text-normal);
}

.noselect {
  user-select: none;
}

/* Helper added for 2024.0 as using style: "display: none" triggers Content Security Policy for inline styles */
.display-none {
  display: none;
}

.elx-top-tab {
  border-radius: 0.3rem 0.3rem 0 0;
}

.elx-panel {
  background-color: var(--panel-bg);
  color: var(--panel-fg);
}

.selected-block {
  background-color: var(--sel-block-bg);
  color: var(--sel-block-fg);
}

.grid-box-title {
  background-color: var(--grid-box-title-bg);
  color: var(--grid-box-title-fg);
}

.modal {
  position: absolute;
  width: 100%;
  height: 100%;
  background-color: rgba(0,0,0,0.4);
  z-index: 3000;
}

.modal-dialog {
  position: relative;
  top: 9rem;
  inset-inline-start: 50%;
  margin-inline-start: -10rem;
  width: 20rem;
  background-color: var(--surface-bg); 
  color: var(--surface-fg);
}

.dlg-frame {
  border: 1px solid var(--edge);
  background-color: var(--surface3); 
}

.dlg-body {
}

.dlg-titlebar {
  height: 2rem;
  padding: 0rem 0.5rem;
  display: flex;
  align-items: center;
  background-color: var(--dlg-titlebar-bg);
  color: var(--dlg-titlebar-fg);
}

.dlg-titlebar .elx-icon {

}

.dlg-titlebar .dlg-title {
  font-weight: bold;
  flex: 1 1 auto;
}

.draggable-modal-dialog {
  position: relative;
  background-color: var(--surface-bg);
  color: var(--surface-fg);
}

/* Styles without colours */

.header-panel {
  position: relative;
  overflow: hidden;
}

.header-panel .header-contents {
  display: flex;
  align-items: center !Important;
  justify-content: stretch;
  height: 4rem;
}

#elx-tool-icon-href  {
  margin: 0.5rem;
  text-decoration: none;
}

#elx-tool-icon {
  flex: 0 0 auto;
  display:flex;
  align-items: center;
  justify-content: center;
  font-size: 200%;
  width: 3rem;
  height: 3rem;
  padding: 0.3rem;
  border-radius: 0.5rem;  
  cursor: pointer;
}

#elx-tool-info {
  display: flex;
  align-items: center;
}

#elx-tool-info a {
  text-decoration: none;
}

#elx-module-info {
  display: flex;
  align-items: center;
  margin-inline-start: 1rem;
  overflow: hidden;
}

#elx-module-icon-href {
  margin: 0.3rem;
  text-decoration: none;
}

#elx-module-icon {
  display:flex;
  align-items: center;
  justify-content: center;
  font-weight: bold;
  font-size: 140%;
  width: 2.5rem;
  height: 2.5rem;
  border: 1px solid var(--edge);
  border-radius: 0.5rem;
  padding: 0.3rem;
}

#elx-module-title {
  font-weight: bold;
  font-size: 140%;
  display: inline-block;
  color: var(--text-normal);
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}

#elx-session-info {
  display: flex;
  align-items: center;
}

#elx-username {
  color: var(--text-normal);
  padding:0.5rem;
}

#elx-logout {
  display:flex;
  align-items: center;
  justify-content: center;
  font-size: 120%;
  padding: 0.5rem;
  margin: 0.5rem;
  border-radius: 0.5rem;
  cursor: pointer;
  background-color: var(--surface-bg);
}

#elx-wrapper-iframe {
  display:block;
  flex: 1 1 auto;
  padding: 0;
  margin: 0;
  border: 0px solid white;
}

.header-panel .suite-info-title {
  font-size: 120%;
  font-weight: bold;
  white-space: nowrap;
  padding: 0.5rem;
}

.suite-popup {
  position: absolute;
  inset-inline-end: 0.3rem;
  top: 3.5rem;
  z-index: 2010;
  border-radius: 0.5rem;
  text-align: center;
  overflow: hidden;
}

.suite-popup .username {
  margin-top: 0.5rem;
}

.suite-popup .userid {
  padding: 0 0.3rem;
}

.suite-popup .signout {
  margin-top: 0.5rem;
  outline: 0;
}

#elx-message-count {
  padding: 0.2rem;
  border-radius: 0.5rem;
  font-size: 80%;
  background-color: var(--important-bg);
  color: var(--important-fg);
  cursor: pointer;
  margin-inline-end: 1rem;
}

#menu-popup {
  background-color: var(--surface-bg);
}

#menu-popup .tool-choices {
  outline: none;
}

#menu-popup .tool-choice {
  display: flex;
  align-items: center;
  padding: 0.3rem 0.5rem;
  white-space: nowrap;
}

#menu-popup .tool-choice .elx-icon {
  width: 1.5rem;
}

.elx-autocomplete {
  box-sizing: border-box;
}
.elx-autocomplete input {
}
.elx-autocomplete-items {
  position: absolute;
  border: 1px solid var(--edge);
  overflow-y: auto;
  z-index: 9999;
  box-sizing: border-box;
}
.elx-autocomplete-items div {
  position: relative;
  padding: 4px;
  cursor: pointer;
  background-color: var(--surface-bg);
  border-bottom: 1px solid var(--edge);
  box-sizing: border-box;
}
.elx-autocomplete-items div span.text-matched {
  font-weight: bold;
}
.elx-autocomplete-active {
  background-color: #5EC5C1 !important;
}


  /* //////////////////////// Date Picker ////////////////////////// */
  .date-picker {
    position: relative;
    font-size: 90%;
  }

  .date-picker .popup-button {
    float: inline-end;
  }

  .date-picker .fa-calendar {
    cursor: pointer;
    margin-inline-start: 0.3rem;
    margin-inline-end: 0.2rem;
  }

  .date-picker .month-display.highlight {
    color: var(--primary);
  }

  .date-picker-popup {
    position: absolute;
    top: 1rem;
    background-color: var(--surface-bg);
    z-index: 99995;
  }

  .date-picker-popup .elx-icon {
    color: var(--text-dim);
  }

  .date-picker-popup .arrow-display {
    color: var(--text-dim);
    text-align: center;
  }

  .date-picker-popup .arrow-chooser {
    border: 1px solid var(--edge);
    padding: 0.2rem;
  }

  .date-picker-popup .date-chooser {
    border: 1px solid var(--edge);
    padding: 0.2rem;
  }

  .date-picker-popup .date-buttons-header {
    text-align: center;
    font-size: 80%;
  }

  .date-picker-popup .date-buttons {
    border-collapse: collapse;
    background-color: var(--surface-bg);
    color: var(--text-dim);
  }

  .date-picker-popup .date-button {
    margin: 0.1rem;
    padding: 0.2rem;
    cursor: pointer;
    text-align: center;
  }

  .date-picker-popup .weekend {
    background-color: var(--surface2);
  }

  .date-picker-popup .date-button.disabled {
    color: var(--text-disabled);
  }

  .date-picker-popup .date-button.selected {
    background-color: var(--primary);
    color: var(--text-bright);
  }

/* ----------------------- header decorations ----------------------------------- */

#elx-module-early-access {
  display: none;
  cursor: default;
  font-size: 40%;
  background-color: #b5e423;
  text-align: center;
  color: grey;
  padding: 0.1rem;
  border-radius: 0.3rem;
  margin: 0 0 0.5rem 0.2rem;
}

/* ////////////////////////////////////// Alert ///////////////////////////////////////////////////////// */
.alert-wrap {
  position: fixed;
  top: 3rem;
  left: 50%;
  transform: translate(-50%,0);
  width: 250px;
  z-index: 9999;
}

.alert-item {
  min-height: 2rem;
  border-radius: 6px;
  padding: 6px 18px 0px 6px;
  display: block;
  text-align: center;
  font-weight: bold;
  position: relative;
  margin: 0px 0px 12px 0px;
  overflow: hidden;
  background-color: #EDDD8C;
  color: #333;
}

.alert-item.warn {
  background-color: #F9BB96;
}

.alert-item.error {
  background-color: #E76062;
  color: white;
}

.alert-item-close {
  position: absolute;
  font-weight: normal;
  inset-inline-end: 0.5rem;
  top: 0.3rem;
  cursor: pointer;
}

.alert-message {
  word-wrap: break-word;
  width: 100%;
}

.alert-button-holder {
  margin: 0.3rem;
}

.alert-item-undo {
  padding: 2px 5px;
  margin: 5px;
  text-align: center;
  font-weight: bold;
  text-decoration: underline;
  cursor: pointer;
}

.alert-item-undo:hover {
  color: #777;
}

.script-holder {
  display: flex;
}

.max-script-editor {
  position: absolute;
  background-color: var(--surface-bg);
  z-index: 3500;
  width: 100%;
  height: 100%;
  left: 0rem;
  top: 0rem;
  right: 0rem;
  bottom: 0rem;
  display: flex;
  flex-direction: column;
  overflow: hidden;
}

.max-script-header {
  justify-content: space-between;
  flex: 0 0 auto;
}

.max-script-editor .code-editor {
  overflow: hidden;
}

.ace_editor {
  border: 1px solid var(--edge);
}

/* ---------------------------- item picker ------------------------------------ */

.item-picker {
  position: relative;
  font-size: 90%;
  display: flex;
  align-items: center;
}

.item-picker .picker-display {
  border: 1px solid var(--hard-edge);
  overflow: hidden;
}

.item-picker .popup-button {
  cursor: pointer;
  width: 1rem;
  height: 1rem;
}

.item-picker .popup-text {
  cursor: pointer;
  min-height: 1rem;
}

.item-picker .item-display {
  cursor: pointer;
  margin-inline-start: 0.3rem;
  display: inline-block;
}

.item-picker .item-display.highlight {
  color: color(srgb 0 0.266667 0.533333 / 0.2);
}

.item-picker-popup {
  background-color: var(--surface-bg);
  position: absolute;
  border: 1px solid var(--edge);
  top: 1rem;
  z-index: 99995;
}

.item-picker-popup .item-buttons {
  border-collapse: collapse;
  margin: auto;
}

.item-picker-popup .item-button {
  margin: 0.1rem;
  padding: 0.2rem;
  cursor: pointer;
  text-align: center;
}

.item-picker-popup .item-button.selected {
  color: rgb(17, 69, 64);
  background-color: color(srgb 0 0.266667 0.533333 / 0.2);
}

.item-picker-popup .item-chooser {
  padding: 0.2rem;
  border: 1px solid var(--edge);
  overflow: hidden;
  overflow-y: auto;
  min-height: 50px;
}

.item-picker-popup .item-filter {
  margin: 0.2rem;
}

/* ////////////////////////////////////// Table Edit Panel ////////////////////////////////////////////// */

.tep-edit-panel {
  padding: 0 2rem 1rem 2rem ;
}

.tep-title-bar {
  display: flex;
  flex: 0 0 auto;
  align-items: center;
  padding: 1rem;
}

.tep-title {
  font-size: 120%;
  font-weight: bold;
}

.tep-spacer {
  flex: 1 1 auto;
}

.tep-button-holder {
  flex: 0 0 auto;
  display: flex;
}

.tep-workgroup {
  flex: 0 1 auto;
  display: flex;
  overflow: hidden;
  align-items: center;
  padding: 0.3rem;
  white-space: nowrap;
}

.tep-workgroup-select {
  flex: 0 1 auto;
  margin-inline-start: 0.3rem;
  min-width: 5rem;
}

.tep-search {
  padding: 0.3rem;
  white-space: nowrap;
  display: flex;
  flex: 1 1 auto;
  align-items: center;
  max-width: 20rem;
  color: var(--text-normal) !Important; /* to be removed from source then no need Important */
}

.tep-search-field {
  margin-inline-start: 0.3rem;
}

.tep-search input {
  width: 100%;
}

.tep-table tr {

}

.tep-table th {

}

.tep-table td {

}

.tep-paginator {
  padding: 0.3rem;
}

.tep-link {

}

.tep-col-batch-selection {
  width: 1.5rem;
  max-width: 1.5rem;
}

.tep-link a {
  color: inherit;
  text-decoration: none;
}

.tep-link a:hover {
  font-weight: inherit;
  text-decoration: underline;
}

.tep-lozenges {
  display: flex;
  align-items: center;
}

.tep-lozenge {
  font-size: 70%;
  text-align: center;
  display: inline-block;
  border-radius: 0.4rem;
  padding: 0.1rem 0.2rem;
  margin: 0rem 0.2rem;
}

.tep-top-panel {
  padding: 0 1rem;
}

.tep-table-holder {
  margin: 0;
  min-height: 6rem;
  overflow: auto;
  background-color: var(--surface1);
}

.tep-table-holder table {
  border-collapse: separate;
  border-spacing: 0;
  width: 100%;
}

.tep-table-holder td {
  height: 2rem;
  border-bottom: 1px solid var(--edge);
  padding: 0 0.5rem;
  text-align: start;
}

.tep-table-holder th {
  background-color: var(--surface-bg);
  position: sticky;
  z-index: 10;
  top: 0;
  height: 2rem;
  border-bottom: 1px solid #999;
  padding: 0 0.5rem;
  text-align: start;
}

.tep-table tr:not(:first-child):hover {
  background-color: var(--edge);
}

.tep-edit-holder {
  flex: 0 1 auto;
  overflow-y: auto;
}

.tep-edit-title {
  font-size: 120%;
  font-weight: bold;
  flex: 1 1 auto;
}

.tep-edit-bar {
  height: 4rem;
  padding: 1rem;
  border-top: 1px solid var(--edge);
  display: flex;
  align-items: center;
}

.tep-edit-bar .elx-button {
  margin-inline-start: 0.5rem;
}

.tep-actions .elx-icon {
  cursor: pointer;
  margin-inline-end: 0.5rem;
}

.tep-table-holder .tep-col-actions {
  text-align: end;
}

.tep-string {
 white-space: pre;
}

.tep-boolean {
  text-align: center;
}

.tep-boolean-true {
  color: green;
}

.tep-boolean-false {
  color: red;
}

/* ////////////// Code Editor ///////////////// */

.code-editor {
  display: flex;
  flex-direction: column;
  flex: 1 1 auto;
}

.code-editor .code {
  flex: 1 1 auto;
  border: 1px solid var(--edge);
  overflow: auto;
  margin: 0px;
  padding: 0.3rem;
  white-space: pre;
}

.code-editor-footer {
  flex: 0 0 auto;
  min-height: 1.2rem;
  border-inline-start: 1px solid var(--edge);
  border-bottom: 1px solid var(--edge);
  border-inline-end: 1px solid var(--edge);
  padding: 0.3rem;
  font-size: 90%;
}

.code-editor-line-info {
  white-space: nowrap;
}

.code-editor-error-msg {
  background-color: var(--important-bg);
  color: var(--important-fg);
}

.code-editor .string-span {
  color: rgb(3, 73, 106);
}

.code-editor .keyword-span {
  color: rgb(88 92 246);
}

.code-editor .number-span {
  color: rgb(140, 0, 205);
}

.code-editor .comment-span {
  color: rgb(50, 145, 99);
}

.dark-mode .code-editor .string-span {
  color: rgb(75, 147, 215);
}

.dark-mode .code-editor .keyword-span {
  color: rgb(246, 228, 88);
}

.dark-mode .code-editor .number-span {
  color: rgb(90, 90, 184);
}

.dark-mode .code-editor .comment-span {
  color: rgb(72, 174, 125);
}

/* ////////////// Banner ////////////////////// */

.banner-holder {
  flex: 0 0 auto;
  position: relative;
  width: 100%;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  text-align: center;
  min-height: 2rem;
  padding: 0.2rem 0.2rem 0.5rem 0.2rem;
}

.banner-icons {
  position: absolute;
  display: flex;
  top: 0.5rem;
  inset-inline-end: 0.5rem;
  height: 1.5rem;
  justify-content: flex-end;
}

.banner-icons .fad {
  margin-inline-start: 0.5rem;
}

.banner-title {
  width: 100%;
  font-weight: bold;
  text-align:center;
  padding-top: 0.25rem;
  padding-inline-start: 2.5rem;
  padding-inline-end: 2.5rem;
}

.banner-message {
  width: 100%;
  white-space: pre;
  text-align:center;
}


/* //////// Error Page /////////// */

.elx-error-page {
  padding: 1rem;
  text-align: center;
  background-color: var(--panel-bg); /*#CDD7D6; */
  color: var(--text-normal);
  flex: 1 1 auto;
}

.elx-error-page .elx-error-code {
  font-size: 20vw;
}

.elx-error-page .elx-error-details {
  padding-bottom: 0.5rem;
  font-size: 2rem;
  white-space: pre-line;
}

.elx-error-page a, a:visited, a:hover, a:active {
  text-decoration: none;
  color: inherit;
  font-weight: bold;
}

@media screen and (max-width: 640px) {

  #elx-module-icon {
    font-size: 100%;
  }

  #elx-module-title {
    font-size: 100%;
  }
  .mobile-hide {
    display: none;
  }
  .elx-button.mobile-responsive .elx-button-text {
    display: none;
  }
  .elx-button.mobile-responsive .elx-button-icon {
    display: inline-block;
  }
  #elx-maintenance-mode {
    font-size:50%;
  }

  /* //////////////////////// Table Edit Panel ///////////////////// */
  .tep-edit-panel {
    padding: 0.5rem;
  }

  .tep-title-bar {
    height: 3rem;
    padding: 0.5rem;
  }

  .tep-workgroup-label {
    display: none;
  }

  .tep-search-label {
    display: none;
  }

  .tep-search-field {
    width: 7rem;
  }

  .tep-table-holder {
    margin: 0.5rem;
  }

  .tep-table-holder table {
    margin-bottom: 0.5rem;
  }

  .tep-edit-bar {
    height: 3rem;
    padding: 0.5rem;
  }

  .tep-col-middle {
    display: none;
  }

  .disabled{
    pointer-events:none;
    opacity: 0.5;
  }
}

